public class Car
{
	private int yearOfMake;
	private Engine theEngine;

	public Car(int year, Engine e)
	{
		yearOfMake = year;
		theEngine = e;		
	}

	public Car(Car other)
	{
		yearOfMake = other.yearOfMake;

		// Deep copy of Engine needed.
		theEngine = new Engine(other.theEngine);
	}

	public String toString()
	{
		return super.toString() + " : " + yearOfMake + " : " + theEngine.toString();
	}
}